Bug 1119625 - mand-db should not depend on systemd
Summary: mand-db should not depend on systemd
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: man-db
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 07:27 UTC by Vít Ondruch
Modified: 2016-07-19 11:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:55:56 UTC


Attachments (Terms of Use)

Description Vít Ondruch 2014-07-15 07:27:31 UTC
Description of problem:
This looks terribly wrong to me:

INFO: installing package(s): man
INFO: 
================================================================================
 Package                Arch       Verze                       Repozitář   Vel.
================================================================================
Instalování:
 man-db                 x86_64     2.6.7.1-4.fc21              fedora     806 k
Instalace kvůli závislostem:
 acl                    x86_64     2.2.52-6.fc22               local       74 k
 cronie                 x86_64     1.4.11-8.fc22               local       98 k
 cronie-anacron         x86_64     1.4.11-8.fc22               local       36 k
 crontabs               noarch     1.11-9.20130830git.fc22     local       23 k
 cryptsetup-libs        x86_64     1.6.5-2.fc22                local      182 k
 dbus                   x86_64     1:1.8.6-2.fc22              local      321 k
 dbus-libs              x86_64     1:1.8.6-2.fc22              local      165 k
 device-mapper          x86_64     1.02.86-1.fc21              fedora     213 k
 device-mapper-libs     x86_64     1.02.86-1.fc21              fedora     262 k
 fipscheck              x86_64     1.4.1-6.fc22                local       25 k
 fipscheck-lib          x86_64     1.4.1-6.fc22                local       14 k
 kmod                   x86_64     18-2.fc22                   local      106 k
 kmod-libs              x86_64     18-2.fc22                   local       56 k
 less                   x86_64     458-12.fc22                 local      124 k
 libpipeline            x86_64     1.3.0-2.fc21                fedora      43 k
 libseccomp             x86_64     2.1.1-2.fc21                fedora      38 k
 qrencode-libs          x86_64     3.4.2-2.fc21                fedora      49 k
 systemd                x86_64     215-3.fc21                  fedora     4.3 M

Shrnutí transakce
================================================================================
Instalovat  1 Balíček (+18 Závislých balíčků)

Celková velikost: 6.8 M
Celková velikost ke stahování: 6.3 M
Nainstalovaná velikost: 23 M



Version-Release number of selected component (if applicable):
$ rpm -q man-db
man-db-2.6.7.1-4.fc21.x86_64


How reproducible:
Always

Steps to Reproduce:
1.  yum install man (or alternatively, I did mock -r fedora-rawhide-x86_64 --install man)
2.
3.

Actual results:
systemd and similar dependencies are installed

Expected results:
there should be just little dependencies, definitely not systemd.

Additional info:
Although I appreciate the effort in this commit [1], which was led by good intention, I really don't understand why the man-db should have such dependencies. Because of one cron file, I had no clue up until now that it exists and still don't understand it purpose? Sorry, but this is wrong.

[1] http://pkgs.fedoraproject.org/cgit/man-db.git/commit/?id=c37706a4c7e8af419719b081e0a24c343b2ef9f4

Comment 1 Jan Chaloupka 2014-10-15 10:32:00 UTC
After replacing cron with systemd timer.

================================================================================
 Package                  Arch         Version                Repository   Size
================================================================================
Installing:
 gdbm-devel               x86_64       1.11-4.fc21            build        57 k
 gettext                  x86_64       0.19.2-4.fc21          build       1.0 M
 groff                    x86_64       1.22.2-11.fc21         build       1.1 M
 less                     x86_64       458-13.fc21            build       124 k
 libpipeline-devel        x86_64       1.3.0-4.fc21           build        28 k
 po4a                     noarch       0.45-1.fc21            build       1.4 M
 systemd                  x86_64       215-19.fc21            build       4.3 M
 zlib-devel               x86_64       1.2.8-7.fc21           build        53 k
Installing for dependencies:
 acl                      x86_64       2.2.52-7.fc21          build        75 k
 cryptsetup-libs          x86_64       1.6.6-1.fc21           build       183 k
 dbus                     x86_64       1:1.8.6-3.fc21         build       321 k
 dbus-libs                x86_64       1:1.8.6-3.fc21         build       165 k
 device-mapper            x86_64       1.02.90-1.fc21         build       223 k
 device-mapper-libs       x86_64       1.02.90-1.fc21         build       284 k
 fipscheck                x86_64       1.4.1-7.fc21           build        25 k
 fipscheck-lib            x86_64       1.4.1-7.fc21           build        14 k
 gettext-libs             x86_64       0.19.2-4.fc21          build       269 k
 kmod                     x86_64       18-3.fc21              build       106 k
 kmod-libs                x86_64       18-3.fc21              build        56 k
 libcroco                 x86_64       0.6.8-5.fc21           build       106 k
 libpipeline              x86_64       1.3.0-4.fc21           build        47 k
 libseccomp               x86_64       2.1.1-5.fc21           build        43 k
 libunistring             x86_64       0.9.3-11.fc21          build       299 k
 perl-Pod-Parser          noarch       1.62-2.fc21            build       106 k
 perl-gettext             x86_64       1.05-31.fc21           build        25 k
 python                   x86_64       2.7.8-4.1.fc21         build        90 k
 qrencode-libs            x86_64       3.4.2-4.fc21           build        54 k
Transaction Summary
================================================================================
Install  8 Packages (+19 Dependent packages)
Total download size: 10 M
Installed size: 35 M

 acl                      x86_64       2.2.52-7.fc21          build        75 k
 cryptsetup-libs          x86_64       1.6.6-1.fc21           build       183 k
 dbus                     x86_64       1:1.8.6-3.fc21         build       321 k
 dbus-libs                x86_64       1:1.8.6-3.fc21         build       165 k
 device-mapper            x86_64       1.02.90-1.fc21         build       223 k
 device-mapper-libs       x86_64       1.02.90-1.fc21         build       284 k
 fipscheck                x86_64       1.4.1-7.fc21           build        25 k
 fipscheck-lib            x86_64       1.4.1-7.fc21           build        14 k
 gettext-libs             x86_64       0.19.2-4.fc21          build       269 k
 kmod                     x86_64       18-3.fc21              build       106 k
 kmod-libs                x86_64       18-3.fc21              build        56 k
 libcroco                 x86_64       0.6.8-5.fc21           build       106 k
 libseccomp               x86_64       2.1.1-5.fc21           build        43 k
 libunistring             x86_64       0.9.3-11.fc21          build       299 k
 qrencode-libs            x86_64       3.4.2-4.fc21           build        54 k

are systemd deps.

It is supposed systemd is already installed so the real number of deps is less then from mock/scratch build.

Comment 2 Vít Ondruch 2014-10-15 11:07:36 UTC
The point of this issue was to remove the systemd dependency, in other words, the systemd package should not be pulled in when man-db is installed. It does not look from your log that this was achieved. I really don't know why should I need systemd or cron or whatever else to read just a few manual pages.

Actually, I entirely miss the point of the timer unit. What is it supposed to do? Why should I need to run it periodically? Is this some speed optimization? Then please move it into subpackage and let everybody to decide if this is needed. Optionally, you can use comps to install this subpackage for some default configurations.

Comment 3 Jaroslav Reznik 2015-03-03 16:07:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora Admin XMLRPC Client 2015-07-13 10:31:46 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2016-07-19 11:55:56 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.